process.chdir(__dirname);

const fs = require('fs');

const config = require('komodo-sdk/config');

global.KOMODO_LOG_LABEL = `KOMODO-GW@${config.handler_name || 'HTTPGETX'}`;

require('komodo-sdk/api-server');
const sdNotify = require('komodo-sdk/sd-notify');

const adviceServer = require('komodo-sdk/gateway/advice-push-server');

const pullgw = require('komodo-sdk/gateway/pull');
const postpaidSdk = require('komodo-sdk-postpaid');

require('./lib/callback');

const partnerPrepaid = require('./lib/partner-prepaid');
const partnerPostpaid = require('./lib/partner-postpaid');

pullgw.setPartner(partnerPrepaid);
postpaidSdk.setPartner(partnerPostpaid);

adviceServer.setPartner(partnerPrepaid);

fs.writeFileSync('pid.txt', process.pid.toString());

sdNotify();
