const uniqid = require('uniqid');
const config = require('komodo-sdk/config');

const defaultApikey = (xid) => xid || uniqid();

module.exports = (xid) => {
    if (!config.partner || !config.partner.callback || !config.partner.callback.apikey) {
        return defaultApikey(xid);
    }

    if (typeof config.partner.callback.apikey === 'string') return config.partner.callback.apikey || defaultApikey(xid);

    if (Array.isArray(config.partner.callback.apikey)) {
        return config.partner.callback.apikey[0] || defaultApikey(xid);
    }

    return defaultApikey(xid);
};
