const urljoin = require('url-join');
const config = require('komodo-sdk/config');
const composeApikey = require('./compose-apikey');

module.exports = (xid, task, isPostpaid) => {
    const callbackUrl = config
        && config.partner
        && config.partner.callback
        && config.partner.callback.url;

    if (!callbackUrl) return null;

    return urljoin(
        [
            callbackUrl,
            'apikey',
            composeApikey(xid) || '-',
            isPostpaid ? 'postpaid' : 'prepaid',
            (task && task.trx_id && task.trx_id.toString()) || null,
        ].filter((item) => item),
    );
};
