const MODULE_NAME = 'REPORT.POSTPAID';

const stringify = require('json-stringify-pretty-compact');

const logger = require('tektrans-logger');
const postpaidSdk = require('komodo-sdk-postpaid');

module.exports = (xid, data) => {
    if (!data) return;

    logger.verbose(`${MODULE_NAME} 0682477A: Reporting to CORE`, {
        xid,
        data,
    });

    const reportData = JSON.parse(JSON.stringify(data));
    if (typeof reportData.message !== 'string') {
        reportData.message = stringify(reportData.message);
    }

    postpaidSdk.report(reportData, xid);
};
